package scphEditor;

public class Variable extends Identifier
{
  private String type;

  public Variable(String nameOf, String typeOf)
  {
    super(nameOf);
    type = typeOf;
  }

  public String getType()
  {
    return type;
  }

  /**
   * Calls v.visitIdentifier(this).
   */
  public void acceptVisitor(OperandVisitor v)
  {
    v.visitVariable(this);
  }
}
