package scphEditor;

import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

/**
 * RefinementPerspectiveFactory
 */
public class RefinementPerspectiveFactory implements IPerspectiveFactory {

  public static String ID_OPERATORVIEWER = "scphEditor.OperatorViewer";

  public void createInitialLayout(IPageLayout layout) {
    String e = layout.getEditorArea();
    layout.addView(IPageLayout.ID_RES_NAV, IPageLayout.LEFT, 0.2f, e);
    layout.addView(ID_OPERATORVIEWER, IPageLayout.RIGHT, 0.75f, e);
  }

}
